Logging&Audit
Overview
SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 Logging&Audit 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다.
API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
| Version | Status | Supported Until |
|---|
| 1.0 | DEPRECATED | 20260223 |
| 1.1 | CURRENT | - |
OpenAPI URL
https://loggingaudit.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1.1.1 - 1.1
post /v1/trails
Description
create a trail
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | TrailShowResponseV1dot1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/trails
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Request body
{
"account_id": "ACCOUNT_ID-ABCDEF1234",
"bucket_name": "TestBucket00",
"bucket_region": "RegionOne",
"log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
"log_type_total_yn": "N",
"log_verification_yn": "N",
"organization_trail_yn": "N",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"tag_create_requests": [
{
"key": "11",
"value": "22"
}
],
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_description": "This is a test trail",
"trail_name": "TestTrail01",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
Example HTTP response
Response 201
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"organization_trail_yn": "Y",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.1.2 - 1.0
post /v1/trails
Description
create a trail
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | TrailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/trails
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Request body
{
"account_id": "ACCOUNT_ID-ABCDEF1234",
"bucket_name": "TestBucket00",
"bucket_region": "RegionOne",
"log_type_total_yn": "N",
"log_verification_yn": "N",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"tag_create_requests": [
{
"key": "11",
"value": "22"
}
],
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_description": "This is a test trail",
"trail_name": "TestTrail01",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
Example HTTP response
Response 201
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.2.1 - 1.1
delete /v1/trails/{trail_id}
Description
delete a specific trail
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/trails/{trail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Example HTTP response
Response 202
1.2.2 - 1.0
delete /v1/trails/{trail_id}
Description
delete a specific trail
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/trails/{trail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 202
1.3.1 - 1.1
post /v1/logs/download
Description
download log file
상태
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogDownloadResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/logs/download
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Request body
{
"end_at": "2025-11-07T10:00:00Z",
"file_type": "JSON",
"product_name": "",
"region": "",
"resource_name": "",
"resource_type": "",
"root_resource_id": "",
"start_at": "2025-08-09T10:00:00Z",
"status": "",
"time_zone_info": "Asia/Seoul",
"user_name": ""
}
Example HTTP response
Response 200
{
"file": [
{
"EventTopic": "",
"RegionName": "",
"ResourceId": "",
"ResourceName": "",
"ResourceType": "",
"WorkInfo": "",
"WorkResult": "",
"WorkTime": "",
"WorkerEmail": "",
"WorkerID": "",
"WorkerName": ""
}
]
}
1.3.2 - 1.0
post /v1/logs/download
Description
download log file
상태
ACTIVE (DEPRECATED)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogDownloadResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/logs/download
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Request body
{
"end_at": "2025-11-07T10:00:00Z",
"file_type": "JSON",
"product_name": "",
"region": "",
"resource_name": "",
"resource_type": "",
"root_resource_id": "",
"start_at": "2025-08-09T10:00:00Z",
"status": "",
"time_zone_info": "Asia/Seoul",
"user_name": ""
}
Example HTTP response
Response 200
{
"file": [
{
"EventTopic": "",
"RegionName": "",
"ResourceId": "",
"ResourceName": "",
"ResourceType": "",
"WorkInfo": "",
"WorkResult": "",
"WorkTime": "",
"WorkerEmail": "",
"WorkerID": "",
"WorkerName": ""
}
]
}
1.4.1 - 1.1
get /v1/logs
Description
get log list
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | start_at required | Query start date Example : 2025-08-09T10:00:00Z
| any of [string, null] | None |
| query | end_at required | Query finish date Example : 2025-11-07T10:00:00Z
| any of [string, null] | None |
| query | resource_id optional | Resource ID Example :
| any of [string, null] | None |
| query | resource_name optional | Resource name Example :
| any of [string, null] | None |
| query | resource_type optional | Resource type Example :
| any of [string, null] | None |
| query | product_name optional | Product name Example :
| any of [string, null] | None |
| query | product_type optional | Product type Example :
| any of [string, null] | None |
| query | status optional | Task result Example :
| any of [string, null] | None |
| query | event_type optional | Event type Example :
| any of [string, null] | None |
| query | user_id optional | User ID Example :
| any of [string, null] | None |
| query | user_name optional | Username Example :
| any of [string, null] | None |
| query | region optional | Region name Example :
| any of [string, null] | None |
| query | root_resource_id optional | Root resource ID Example :
| any of [string, null] | None |
| query | service_type optional | Service type Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/logs?start_at={start_at}&end_at={end_at}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Example HTTP response
Response 200
{
"count": 20,
"logs": [
{
"account_id": "ACCOUNT_ID-ABCDEF1234",
"event_name": "scp-extension.event.create",
"event_type": "scp-extension.event.create",
"id": "ID-A1B2C3D4E5F6G7H8I9J0",
"product_name": "scp-extension",
"product_type": "scp-extension",
"region": "RegionOne",
"request_user_name": "Hong Gildong",
"resource_id": "RESOURCE_ID-ABCDEF1234",
"resource_name": "RESOURCE_NAME-ABCDEF1234",
"resource_type": "scp-extension",
"role_name": "Tester",
"status": "Success",
"timestamp": "2025-11-07T10:00:00Z",
"type": "ROLE",
"user_id": "USER_ID-ABCDEF1234"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.4.2 - 1.0
get /v1/logs
Description
get log list
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | start_at required | Query start date Example : 2025-08-09T10:00:00Z
| any of [string, null] | None |
| query | end_at required | Query finish date Example : 2025-11-07T10:00:00Z
| any of [string, null] | None |
| query | resource_id optional | Resource ID Example :
| any of [string, null] | None |
| query | resource_name optional | Resource name Example :
| any of [string, null] | None |
| query | resource_type optional | Resource type Example :
| any of [string, null] | None |
| query | product_name optional | Product name Example :
| any of [string, null] | None |
| query | product_type optional | Product type Example :
| any of [string, null] | None |
| query | status optional | Task result Example :
| any of [string, null] | None |
| query | event_type optional | Event type Example :
| any of [string, null] | None |
| query | user_id optional | User ID Example :
| any of [string, null] | None |
| query | user_name optional | Username Example :
| any of [string, null] | None |
| query | region optional | Region name Example :
| any of [string, null] | None |
| query | root_resource_id optional | Root resource ID Example :
| any of [string, null] | None |
| query | service_type optional | Service type Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/logs?start_at={start_at}&end_at={end_at}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 200
{
"count": 20,
"logs": [
{
"account_id": "ACCOUNT_ID-ABCDEF1234",
"event_name": "scp-extension.event.create",
"event_type": "scp-extension.event.create",
"id": "ID-A1B2C3D4E5F6G7H8I9J0",
"product_name": "scp-extension",
"product_type": "scp-extension",
"region": "RegionOne",
"request_user_name": "Hong Gildong",
"resource_id": "RESOURCE_ID-ABCDEF1234",
"resource_name": "RESOURCE_NAME-ABCDEF1234",
"resource_type": "scp-extension",
"role_name": "Tester",
"status": "Success",
"timestamp": "2025-11-07T10:00:00Z",
"type": "ROLE",
"user_id": "USER_ID-ABCDEF1234"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.5.1 - 1.1
get /v1/trails
Description
get trails list
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | trail_name optional | Trail name Example :
| any of [string, null] | None |
| query | bucket_name optional | Bucket name Example :
| any of [string, null] | None |
| query | state optional | Trail state Example :
| any of [string, null] | None |
| query | resource_type optional | Resource type Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/trails
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"trails": [
{
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"organization_trail_yn": "Y",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
]
}
1.5.2 - 1.0
get /v1/trails
Description
get trails list
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | trail_name optional | Trail name Example :
| any of [string, null] | None |
| query | bucket_name optional | Bucket name Example :
| any of [string, null] | None |
| query | state optional | Trail state Example :
| any of [string, null] | None |
| query | resource_type optional | Resource type Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TrailListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/trails
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"trails": [
{
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
]
}
1.6.1 - 1.1
put /v1/trails/{trail_id}
Description
set a specific trail
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
| body | body required |
| TrailSetRequestV1dot1 | |
Responses
Example HTTP request
Request path
/v1/trails/{trail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Request body
{
"log_type_total_yn": "N",
"log_verification_yn": "N",
"organization_trail_yn": "Y",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_description": "This is a test trail",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
Example HTTP response
Response 202
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"organization_trail_yn": "Y",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.6.2 - 1.0
put /v1/trails/{trail_id}
Description
set a specific trail
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
| body | body required |
| TrailSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | TrailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/trails/{trail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Request body
{
"log_type_total_yn": "N",
"log_verification_yn": "N",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_description": "This is a test trail",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
Example HTTP response
Response 202
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.7.1 - 1.1
get /v1/logs/{logging_id}
Description
show a specific log
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | logging_id required | Log ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/logs/{logging_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Example HTTP response
Response 200
{
"log": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"details": "",
"event_name": "scp-extension.event.create",
"event_type": "scp-extension.event.create",
"id": "ID-A1B2C3D4E5F6G7H8I9J0",
"product_name": "scp-extension",
"product_type": "scp-extension",
"region": "RegionOne",
"request_user_name": "Hong Gildong",
"resource_id": "RESOURCE_ID-ABCDEF1234",
"resource_name": "RESOURCE_NAME-ABCDEF1234",
"resource_type": "scp-extension",
"role_name": "Tester",
"status": "Success",
"timestamp": "2025-11-07T10:00:00Z",
"type": "ROLE",
"user_id": "USER_ID-ABCDEF1234"
}
}
1.7.2 - 1.0
get /v1/logs/{logging_id}
Description
show a specific log
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | logging_id required | Log ID Example :
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | LogShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/logs/{logging_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 200
{
"log": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"details": "",
"event_name": "scp-extension.event.create",
"event_type": "scp-extension.event.create",
"id": "ID-A1B2C3D4E5F6G7H8I9J0",
"product_name": "scp-extension",
"product_type": "scp-extension",
"region": "RegionOne",
"request_user_name": "Hong Gildong",
"resource_id": "RESOURCE_ID-ABCDEF1234",
"resource_name": "RESOURCE_NAME-ABCDEF1234",
"resource_type": "scp-extension",
"role_name": "Tester",
"status": "Success",
"timestamp": "2025-11-07T10:00:00Z",
"type": "ROLE",
"user_id": "USER_ID-ABCDEF1234"
}
}
1.8.1 - 1.1
get /v1/trails/{trail_id}
Description
show a specific trail
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/trails/{trail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Example HTTP response
Response 200
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"organization_trail_yn": "Y",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.8.2 - 1.0
get /v1/trails/{trail_id}
Description
show a specific trail
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TrailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/trails/{trail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 200
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.9.1 - 1.1
post /v1/trails/{trail_id}/start
Description
start a specific trail
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/trails/{trail_id}/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Example HTTP response
Response 200
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"organization_trail_yn": "Y",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.9.2 - 1.0
post /v1/trails/{trail_id}/start
Description
start a specific trail
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/trails/{trail_id}/start
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 200
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.10.1 - 1.1
post /v1/trails/{trail_id}/stop
Description
stop a specific trail
상태
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/trails/{trail_id}/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.1"
Example HTTP response
Response 200
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_archive_account_id": "ACCOUNT_ID-ABCDEF1234",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"organization_trail_yn": "Y",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}
1.10.2 - 1.0
post /v1/trails/{trail_id}/stop
Description
stop a specific trail
상태
ACTIVE (DEPRECATED)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | trail_id required | Trail ID Example :
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/trails/{trail_id}/stop
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = loggingaudit 1.0"
Example HTTP response
Response 200
{
"trail": {
"account_id": "ACCOUNT_ID-ABCDEF1234",
"account_name": "Test Account",
"bucket_name": "Bucket001",
"bucket_region": "RegionOne",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"created_user_id": "kim.samsung@samsung.com",
"del_yn": "N",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"log_type_total_yn": "Y",
"log_verification_yn": "N",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"region_names": [],
"region_total_yn": "Y",
"resource_type_total_yn": "Y",
"state": "ACTIVE",
"target_log_types": [],
"target_resource_types": [],
"target_users": [],
"trail_batch_end_at": "2025-11-07T09:00:00Z",
"trail_batch_first_start_at": "2025-10-28T10:00:00Z",
"trail_batch_last_state": "success",
"trail_batch_start_at": "2025-11-07T09:00:00Z",
"trail_batch_success_at": "2025-11-07T09:00:00Z",
"trail_description": "test trail",
"trail_name": "Trail-0001",
"trail_save_type": "JSON",
"user_total_yn": "Y"
}
}